From 2088e3960b80c54f061125e982a0f75e294cd719 Mon Sep 17 00:00:00 2001
From: Paul Ramsey <pramsey@cleverelephant.ca>
Date: Tue, 1 Nov 2022 08:58:32 -0700
Subject: [PATCH] Add endian switch for hexwkb test

---
 tests/unit/capi/GEOSGeomToHEX_bufTest.cpp | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

diff --git a/tests/unit/capi/GEOSGeomToHEX_bufTest.cpp b/tests/unit/capi/GEOSGeomToHEX_bufTest.cpp
index 2f88f38a2d..55ee00a4d7 100644
--- a/tests/unit/capi/GEOSGeomToHEX_bufTest.cpp
+++ b/tests/unit/capi/GEOSGeomToHEX_bufTest.cpp
@@ -1,6 +1,7 @@
 #include <tut/tut.hpp>
 // geos
 #include <geos_c.h>
+#include <geos/util/Machine.h> // for getMachineByteOrder
 
 #include "capi_test_utils.h"
 
@@ -27,7 +28,15 @@ void object::test<1>()
     std::size_t size{};
     unsigned char* hex = GEOSGeomToHEX_buf(geom1_, &size);
     std::string hexStr(reinterpret_cast<char*>(hex));
-    ensure_equals(std::string{"0101000000000000000000F03F0000000000000040"}, hexStr);
+
+
+    if(getMachineByteOrder() == GEOS_WKB_XDR) {
+        ensure_equals(hexStr,
+            std::string{"00000000013FF00000000000004000000000000000"});
+    } else {
+        ensure_equals(hexStr,
+            std::string{"0101000000000000000000F03F0000000000000040"});
+    }
 
     free(hex);
 }
